from Singleton import Singleton
class OBBDebugger(Singleton):
    def __new__(self, mode = 0):
        if not 'mode' in self.__dict__:
            self.mode = mode
        return Singleton.__new__(self)

    def debug(self, msg):
        if self.mode == 1:
            print msg
